JcePKMACValuesCalculator (Bouncy Castle Library 1.54 API Specification)
Date: 2015-12-29

org.bouncycastle.cert.crmf.jcajce

## Class JcePKMACValuesCalculator

- java.lang.Object
- - org.bouncycastle.cert.crmf.jcajce.JcePKMACValuesCalculator

- All Implemented Interfaces:
    PKMACValuesCalculator

      public class JcePKMACValuesCalculator
      extends java.lang.Object
      implements PKMACValuesCalculator

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JcePKMACValuesCalculator()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `byte[]` | `calculateDigest(byte[] data)`
    `byte[]` | `calculateMac(byte[] pwd, byte[] data)`
    `JcePKMACValuesCalculator` | `setProvider(java.security.Provider provider)`
    `JcePKMACValuesCalculator` | `setProvider(java.lang.String providerName)`
    `void` | `setup(org.bouncycastle.asn1.x509.AlgorithmIdentifier digAlg, org.bouncycastle.asn1.x509.AlgorithmIdentifier macAlg)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JcePKMACValuesCalculator

          public JcePKMACValuesCalculator()

  - ### Method Detail

    - #### setProvider

          public JcePKMACValuesCalculator setProvider(java.security.Provider provider)

    - #### setProvider

          public JcePKMACValuesCalculator setProvider(java.lang.String providerName)

    - #### setup

          public void setup(org.bouncycastle.asn1.x509.AlgorithmIdentifier digAlg,
                   org.bouncycastle.asn1.x509.AlgorithmIdentifier macAlg)
                     throws CRMFException

      Specified by:
        `setup` in interface `PKMACValuesCalculator`
      Throws:
        `CRMFException`

    - #### calculateDigest

          public byte[] calculateDigest(byte[] data)

      Specified by:
        `calculateDigest` in interface `PKMACValuesCalculator`

    - #### calculateMac

          public byte[] calculateMac(byte[] pwd,
                            byte[] data)
                              throws CRMFException

      Specified by:
        `calculateMac` in interface `PKMACValuesCalculator`
      Throws:
        `CRMFException`